# std::multiset<Key,Compare,Allocator>::emplace

From cppreference.com
< cpp‎ | container‎ | multiset

template< class... Args > iterator emplace( Args&&... args ); |  | (since C++11)

Inserts a new element into the container constructed in-place with the given `args` .

Careful use of `emplace` allows the new element to be constructed while avoiding unnecessary copy or move operations. The constructor of the new element is called with exactly the same arguments as supplied to `emplace`, forwarded via std::forward<Args>(args)....

No iterators or references are invalidated.

### Parameters

args | - | arguments to forward to the constructor of the element

### Return value

Returns an iterator to the inserted element.

### Exceptions

If an exception is thrown by any operation, this function has no effect.

### Complexity

Logarithmic in the size of the container.

### Example

| This section is incomplete Reason: no example

### See also

emplace_hint (C++11) | constructs elements in-place using a hint (public member function)
insert | inserts elements or nodes (since C++17) (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/multiset/emplace&oldid=50603"